﻿@model System.Data.DataTable
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card mb-3">
    <div class="card-header">
        <h2>Products List</h2>
    </div>
    <div class="card-body">
        <a class="btn btn-success" href="@Url.Action("Create", "Product")">Add Product</a><br />
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <tr>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Quantity</th>
                    <th>Description</th>
                    <th></th>
                </tr>
                @for (int i = 0; i < Model.Rows.Count; i++)
                {
                    <tr>
                        <td>@Html.Raw(@Model.Rows[i][1])</td>
                        <td>@Html.Raw(@Model.Rows[i][2])</td>
                        <td>@Html.Raw(@Model.Rows[i][3])</td>
                        <td>@Html.Raw(@Model.Rows[i][4])</td>
                        <td>
                            <a href="@Url.Action("Details", "Product", new {@id=@Model.Rows[i][0]})" class="btn btn-info">Details</a>
                            <a href="@Url.Action("Edit", "Product", new {@id=@Model.Rows[i][0] })" class="btn btn-warning">Edit</a>
                            <a href="@Url.Action("Delete", "Product", new {@id=@Model.Rows[i][0] })" class="btn btn-danger">Delete</a>
                        </td>
                    </tr>
                }
            </table>
        </div>
    </div>
</div>